<?php   
	
	function my_strpos($a,$b)
	{
	  
	   $a_len=strlen($a);
	   $b_len=strlen($b);
	   $p=0;
	   $exist_flag=0;
	
	   for($m=0;$m<strlen($a);$m++)
	   {
		   $a_s=substr($a,$m,$b_len);
		   if ($a_s==$b)
		   {
		      $p=$m;
		      $exist_flag=1;
		      break;	
		   }
	   }
	
	   if ($exist_flag==1)
	   {
	      $p=$p+1;
	   }
	
	   if ($exist_flag==0)
	   {
	      $p=0;
	   }
	   return $p;
	   
	}
	
	
	
?>  
